<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\GrafikListen\ShowGrafikListen;


class ShowGrafikListenController extends \Kufer\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\ShowDruckListenAllgemeinController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowGrafikListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowGrafikListenPresenter($pUseCaseResponse);
  }
}